/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


import * as runtime from '../runtime';
import type {
  Default200Response,
  Error400,
  Error404,
  Error500,
} from '../models';
import {
    Default200ResponseFromJSON,
    Default200ResponseToJSON,
    Error400FromJSON,
    Error400ToJSON,
    Error404FromJSON,
    Error404ToJSON,
    Error500FromJSON,
    Error500ToJSON,
} from '../models';

export interface ApiGetFileContentsGetRequest {
    path: string;
    encoded?: boolean;
}

/**
 * 
 */
export class GetFileContentsApi extends runtime.BaseAPI {

    /**
     * Retrieves the contents of a specified text file raw or base64 encoded
     * Retrieves the contents of a specified text file raw or base64 encoded
     */
    async apiGetFileContentsGetRaw(requestParameters: ApiGetFileContentsGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<runtime.ApiResponse<Default200Response>> {
        if (requestParameters.path === null || requestParameters.path === undefined) {
            throw new runtime.RequiredError('path','Required parameter requestParameters.path was null or undefined when calling apiGetFileContentsGet.');
        }

        const queryParameters: any = {};

        if (requestParameters.path !== undefined) {
            queryParameters['path'] = requestParameters.path;
        }

        if (requestParameters.encoded !== undefined) {
            queryParameters['encoded'] = requestParameters.encoded;
        }

        const headerParameters: runtime.HTTPHeaders = {};

        const response = await this.request({
            path: `/api/getFileContents`,
            method: 'GET',
            headers: headerParameters,
            query: queryParameters,
        }, initOverrides);

        return new runtime.JSONApiResponse(response, (jsonValue) => Default200ResponseFromJSON(jsonValue));
    }

    /**
     * Retrieves the contents of a specified text file raw or base64 encoded
     * Retrieves the contents of a specified text file raw or base64 encoded
     */
    async apiGetFileContentsGet(requestParameters: ApiGetFileContentsGetRequest, initOverrides?: RequestInit | runtime.InitOverrideFunction): Promise<Default200Response> {
        const response = await this.apiGetFileContentsGetRaw(requestParameters, initOverrides);
        return await response.value();
    }

}
